/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				                 *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include "HELP/help.h"
#include "WIN/win.h"
#include "WIN/opengl.h"
#include "FPS/fps.h"
#include "EYE/eye.h"
#include "MUSCLE/muscle.h"

//---------------------------------------------------------------------------

bool colour, grid, night, fversion, fhelp = false;

HELP help;
FLY fly;
WIND wind;
FPSW fpsw;

//---------------------------------------------------------------------------

/* Main Program */
int main (int egac, char **egav) 
{
	/* Console Settings */	
	int n = 0;
	int f = 0;
	
	for(n = 0; n < egac; n++)
	{
		for(f = 0; f < egav[n][f]; ++f)
		{
			switch(egav[n][f])    
			{
				case 'C':
				colour = true;
				break;
				
				case 'G':
				grid = true;
				break;
				
				case 'N':
				night = true;
				break;				
				
				case 'v':
				fversion = true;
				break;
				
				case 'h':
				fhelp = true;
				break;
			}
		}
	}
	
	//-----------------------------------------------------------------------
	
	/* Create Window */
	wind.createWin();
	fpsw.InitTimeCounter();
		
	/* Render */
	while(colour || grid || night)
	{
		/* Landscape */
		fly.init(night);
		fly.renderLandscape(colour);
		fly.renderPlane();
		fly.renderCockpit();
		wind.eventloop();
		wind.perspective();
		/* FPS */
		fpsw.CalculateFPS();
		fpsw.UpdateTimeCounter();	
	}
		 
	//-----------------------------------------------------------------------
	 
	/* Show Help Desk */
	if(fhelp)
	{
		help.Desk(egac);
	}

	/* Display Version */
	else if(fversion)
	{
		help.version();
	}
	 
	return 0;
}

//---------------------------------------------------------------------------
